#!/bin/bash

# Packager : JP <jp.guillemin@free.fr>
# src : http://musicbrainz.org/doc/libdiscid

soft='libdiscid'
softversion='0.2.2'
packageversion='72.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.gz"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
PKG="/tmp/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $PKG.tgz
rm -rf $PKG
mkdir -p $PKG
chown -R root:root .
export CFLAGS="-O2 -march=$arch -mtune=$cpu" 

cd $src
find . -perm 777 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;

./configure \
--prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/man \
--docdir=/usr/doc/$soft-$softversion \
--disable-oss \
--disable-pulse \
--disable-lynx \
--disable-gtk-doc \
--with-html-dir=/usr/doc/$soft-$softversion \
--disable-schemas-install \
--with-gconf-source="xml::/etc/gconf/gconf.xml.defaults"

make 
make install DESTDIR=$PKG


( cd $PKG
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $PKG/usr/man
  find . -name "*.?" | xargs gzip -9
)

# gconf stuff

# export GCONF_CONFIG_SOURCE="xml::$PKG/etc/gconf/gconf.xml.defaults"
# install -v -d -m755 $PKG/etc/gconf/schemas
# install -v -d -m755 $PKG/etc/gconf/gconf.xml.defaults

# for schema in $PKG/etc/gconf/schemas/*.schemas; do
# 	gconftool-2 --makefile-install-rule $schema
# done
# Reset / Verify correct permissions
# ( cd $PKG/etc/gconf ; find . -type d -exec chmod 755 {} \; )
# ( cd $PKG/etc/gconf ; find . -type f -exec chmod 644 {} \; )



mkdir -p $PKG/usr/doc/$soft-$softversion
cp -a README $PKG/usr/doc/$soft-$softversion

mkdir -p $PKG/etc/xdg
mv $PKG/usr/share/gnome/autostart $PKG/etc/xdg/autostart
rm -rf $PKG/usr/share/gnome


# redundant
rm -rf $PKG/usr/share/doc

# slack-desc
mkdir -p $PKG/install
cat > $PKG/install/slack-desc << END
$soft: $soft is a library for creating MusicBrainz DiscIDs 
$soft:
$soft: libdiscid is a C library for creating MusicBrainz DiscIDs 
$soft: from audio CDs. It reads a CD's table of contents (TOC) and 
$soft: generates an identifier which can be used to lookup the CD 
$soft: at MusicBrainz. Additionally, it provides a submission URL 
$soft: for adding the DiscID to the database.
$soft:
$soft:
$soft:
$soft:
END


mkdir -p $PKG/usr/src/$soft-$softversion
( cd $buildir
cp -a build-$soft.sh $PKG/usr/src/$soft-$softversion/
)

cd $PKG
makepkg -l y -c n $PKG.txz

# cleanup

rm -rf $PKG
rm -rf $src
